Subject: bug#8415: 23.3.50; Extensible Emacs Registers

From: Leo <[email-masked]>
Date: Sun, 26 Jun 2011 14:42:19 +0800

On 2011-06-25 21:19 +0800, Stefan Monnier wrote:
> But I'd pass `val' directly, so the function can use extra fields in
> values that inherit from registerv.  You could drop the `data' field as
> well, at that point.
>
> This just makes it more OO, and maybe experience would show that it
> actually makes things worse (just adds unused extra flexibility), so
> I'll let you judge.  Either way is OK with me.

Thanks for the comments. From my use cases, it seems most of the time
only DATA is needed and in other times closure can be used. I have made
the commit for wider testing.

Leo